/**          Simple demo of the Complex class used in jfftw to used to
 *           hamdle Complex numbers
 *
 *           @author Will Hossack, The University of Edinburgh
 */
package jfftw.demo;
import jfftw.*;

public class ComplexDemo {

    public static void main(String args[]) {
	Complex a = new Complex(2.0,3.0);   // Declare a complex
	Complex b = new Complex();          // Declare default 0,0
	b.setExpi(0.2);                     // set to expi(0.2)

	//             Print out values

	System.out.println("Value of a is : " + a);
	System.out.println("b has modulus : " + b.modulus() +
			   " and phase " + b.phase());
	

	//             Some basic arithmetic
	Complex c = a.mult(b).plus(2.5,4.0);

	//             Printout the result
	System.out.println("Value of c is " + c);
	System.out.println("and has modulus squared " + c.modulusSq());
 
    }
}
